com.microfocus.zos.model

## Class DatasetMigatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.microfocus.zos.model.DatasetMigatedException

- All Implemented Interfaces:
    java.io.Serializable

      public class DatasetMigatedException
      extends java.lang.Exception

  Signals that a data set or member operation failed, because the data set is migradet. Copyright (C) Micro Focus 2014. All rights reserved.
  Author:
    Ralf Pakosch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasetMigatedException(java.lang.String pMiglvl, java.lang.String pVolser, java.lang.String pEntname)`
    `DatasetMigatedException(java.lang.Throwable pE)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEntname()`
    `java.lang.String` | `getMigrationLevel()` Only returns a readable String for the migration level or `null`.
    `java.lang.String` | `getVolser()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatasetMigatedException

          public DatasetMigatedException(java.lang.String pMiglvl,
                                         java.lang.String pVolser,
                                         java.lang.String pEntname)

    - #### DatasetMigatedException

          public DatasetMigatedException(java.lang.Throwable pE)

  - ### Method Detail

    - #### getMigrationLevel

          public java.lang.String getMigrationLevel()

      Only returns a readable String for the migration level or `null`. Not reliable for `equals` operations.
      Returns:
        a migration level (probably "1" or "2") or `null`

    - #### getVolser

          public java.lang.String getVolser()

      Returns:
        the volume of the data set, can be `null`

    - #### getEntname

          public java.lang.String getEntname()

      Returns:
        the data set name of the migrated file. Can be `null`.

Copyright © 2015 Micro Focus GmbH. All rights reserved.